Skip to main content
GET
Get a consent signing key by key ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<user-id>
required

The ID of the user.

kid
string
required

The key identifier of the consent signing key.

Response

The consent signing key was returned.

kid
string
required

The key identifier of the consent signing key.

device_identifier
string
required

A human-readable label for the device holding the corresponding private key.

created_at
string<date-time>
required

The ISO 8601 timestamp at which the key was registered.

expires_at
string<date-time>
required

The ISO 8601 timestamp at which the key expires and can no longer be used to verify consent decisions.